// This example will take us through declaring and defining our first class in C++; a Rectangle
// class.

// History: 2/12 - Implemented various versions of constructors including: a default constructor,
//                 constructor w/ arguments, constructor w/ default arguments, and 
//                 copy constructor. We implemented a function template add (). We'll use it
//                 more later.
// 
//          2/9 - Declared parts of class Rectangle. Added the data members: mWidth, mLength.
//                Implemented member functions setWidth (), setLength (), getWidth (), 
//                getLength (). Declared a Rectangle object in main () called r1. We also
//                discussed the visibility access specifiers public and private.

#include "Rectangle.hpp"

int main(void)
{
	int result = add(5, 8);

	// how do we initialize an object of type Rectangle? we can use constructors!
	Rectangle r1, r2(3.2, 5.5), r3(6.7); //= {7.8, 8.9}; // instantiation of an object of type Rectangle that is called r1

	r1.setLength(5.5); // setLength () is public, so can be used by nonmember function main ()

	return 0;
}